Interlaken
API referenceNetworkingVPCs

List VPCs

GET
/api/v1/vpcs

Requires the vpcs:read permission.

Authorization

AuthorizationBearer <token>

An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.

In: header

Query Parameters

limit?integer
offset?integer
order?string
q?string
sort_by?string
tags?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/vpcs"
{  "items": [    {      "created_at": "2019-08-24T14:15:22Z",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "ipv6_mode": "string",      "name": "string",      "public_ipv6": true,      "security_policy_ids": [        "66ab6b6a-1af8-42dc-9b26-c42936c87529"      ],      "status": "string",      "tags": {        "property1": "string",        "property2": "string"      },      "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",      "updated_at": "2019-08-24T14:15:22Z",      "v4_cidr": "string",      "v6_cidr": "string",      "vrf_id": 0    }  ],  "total": 0}